Summary:	Configuration tool for Tuxpaint
Name:		tuxpaint-config
Version:	0.0.24
Release:	%mkrel 1
License:	GPLv2
Group:		Graphics/Editors and Converters
URL:		https://tuxpaint.org/
Source0:	https://downloads.sourceforge.net/tuxpaint/%{name}-%{version}.tar.gz
BuildRequires:	fltk-devel
BuildRequires:	libpaper-devel
BuildRequires:	pkgconfig(libunibreak)
BuildRequires:	pkgconfig(pangoft2)
BuildRequires:	pkgconfig(xext)

Requires:	tuxpaint

%description
Tux Paint Config is a graphical configuration tool for "Tux Paint."
It provides a point-and-click interface that allows parents and teachers
to alter Tux Paint's behavior -- disable sound effects, run in
full-screen mode, etc. - without needing to manipulate a text-based
configuration file.

%prep
%autosetup -p1

%build
%make_build CFLAGS="%{optflags} %{ldflags}" PREFIX=%{_prefix}

%install
%make_install \
              PKG_ROOT="%{buildroot}" \
              PREFIX="%{_usr}" \
              X11_ICON_PREFIX="%{_datadir}/pixmaps/" \
              KDE_ICON_PREFIX=%{_iconsdir}

#Fix perms:
chmod -R go+r docs/

%find_lang %{name}

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install	--vendor="" \
			--dir %{buildroot}%{_datadir}/applications \
			--remove-category="Settings" \
                        --add-category="Education" \
			src/tuxpaint-config.desktop

# fix perms
chmod -R go=u-w %{buildroot}/*

%files -f %{name}.lang
%doc docs/AUTHORS.txt docs/CHANGES.txt docs/COPYING.txt
%doc docs/README.txt docs/TODO.txt docs/html/README.html
%exclude %_defaultdocdir/%name/html/README.html
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Wed Jul 31 2024 daviddavid <daviddavid> 0.0.24-1.mga10
+ Revision: 2083012
- new version: 0.0.24

* Thu Mar 07 2024 daviddavid <daviddavid> 0.0.23-1.mga10
+ Revision: 2048113
- new version: 0.0.23

* Thu Mar 07 2024 daviddavid <daviddavid> 0.0.20-2.mga10
+ Revision: 2048085
- rebuild for new libunibreak 6.1
- update Url

* Thu Apr 13 2023 daviddavid <daviddavid> 0.0.20-1.mga9
+ Revision: 1952832
- new version: 0.0.20

* Thu Mar 31 2022 umeabot <umeabot> 0.0.15-3.mga9
+ Revision: 1836869
- Mageia 9 Mass Rebuild

* Sun Dec 13 2020 wally <wally> 0.0.15-2.mga8
+ Revision: 1656747
- fix build

* Sun May 31 2020 daviddavid <daviddavid> 0.0.15-1.mga8
+ Revision: 1589270
- new version: 0.0.15
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 11 2020 umeabot <umeabot> 0.0.14-2.mga8
+ Revision: 1489238
- Mageia 8 Mass Rebuild

* Sat Sep 15 2018 daviddavid <daviddavid> 0.0.14-1.mga7
+ Revision: 1258996
- new version: 0.0.14

* Fri Feb 12 2016 umeabot <umeabot> 0.0.13-6.mga6
+ Revision: 959030
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 tv <tv> 0.0.13-5.mga6
+ Revision: 893151
- fix build: exclude some doc

* Mon Aug 17 2015 fwang <fwang> 0.0.13-4.mga6
+ Revision: 865295
- use own build flags

* Wed Oct 15 2014 umeabot <umeabot> 0.0.13-3.mga6
+ Revision: 743418
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.13-2.mga5
+ Revision: 689986
- Mageia 5 Mass Rebuild

* Thu Aug 28 2014 anaselli <anaselli> 0.0.13-1.mga5
+ Revision: 669008
- new version 0.0.13

* Fri Oct 18 2013 umeabot <umeabot> 0.0.12-10.mga4
+ Revision: 519767
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.0.12-9.mga3
+ Revision: 384877
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Mon Dec 17 2012 malo <malo> 0.0.12-8.mga3
+ Revision: 331835
- fix summary

* Mon Dec 17 2012 malo <malo> 0.0.12-7.mga3
+ Revision: 331834
- spec clean-up
- update RPM group

* Mon Jul 11 2011 fwang <fwang> 0.0.12-6.mga2
+ Revision: 122118
- rebuild for new fltk

* Sat Apr 30 2011 misc <misc> 0.0.12-5.mga1
+ Revision: 93930
- fix License
- increase Release to fix upgrade from Mandriva

* Sun Feb 20 2011 anaselli <anaselli> 0.0.12-1.mga1
+ Revision: 55017
- added missed libxext-devel dependency
- imported package tuxpaint-config

